/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "GRASS GIS 7 Programmer's Manual", "index.html", [
    [ "GRASS Array Statistics Library", "arraystatslib.html", [
      [ "The discont algorithm", "arraystatslib.html#discont", null ],
      [ "List of functions", "arraystatslib.html#listOfFunctions", null ],
      [ "Authors", "arraystatslib.html#arraystatslibAuthors", null ]
    ] ],
    [ "btree2 library", "btree2.html", [
      [ "Red-Black tree", "btree2.html#autotoc_md0", [
        [ "Include and linking", "btree2.html#autotoc_md1", null ],
        [ "Example", "btree2.html#autotoc_md2", null ]
      ] ],
      [ "k-d tree", "btree2.html#autotoc_md3", [
        [ "Description", "btree2.html#autotoc_md4", null ],
        [ "Include and linking", "btree2.html#autotoc_md5", null ],
        [ "Example", "btree2.html#autotoc_md6", null ],
        [ "Example usages", "btree2.html#autotoc_md7", null ]
      ] ],
      [ "See also", "btree2.html#autotoc_md8", null ]
    ] ],
    [ "GRASS Cairo Display Driver", "cairodriver.html", [
      [ "Introduction to Cairo display driver", "cairodriver.html#cairointro", null ],
      [ "List of functions", "cairodriver.html#cairofunctions", null ]
    ] ],
    [ "GRASS testing normality & exponentiality Library", "cdhclib.html", [
      [ "GRASS library for testing normality & exponentiality", "cdhclib.html#cdhcintro", null ],
      [ "Loading the CDHC Library", "cdhclib.html#Loading_the_CDHC_Library", null ]
    ] ],
    [ "GRASS Cluster analysis statistics Library", "clusterlib.html", [
      [ "Introduction", "clusterlib.html#clusterintro", null ],
      [ "Cluster structure", "clusterlib.html#ClusterStruct", null ],
      [ "List of functions", "clusterlib.html#listFn", null ]
    ] ],
    [ "CCMATH mathematics library source code", "ccmathlib.html", [
      [ "Introduction to ccmath library", "ccmathlib.html#ccmathintro", null ],
      [ "List of functions", "ccmathlib.html#ccmathfunctions", null ]
    ] ],
    [ "GRASS GIS General Library (aka GIS Library)", "gislib.html", "gislib" ],
    [ "GRASS Numerical math interface", "gmathlib.html", [
      [ "The GRASS numerical math interface", "gmathlib.html#gmathintro", [
        [ "Memory allocation functions", "gmathlib.html#memalloc", null ],
        [ "Common mathematical functions", "gmathlib.html#commonmath", null ],
        [ "Blas like level 1,2 and 3 functions", "gmathlib.html#gmathblas", [
          [ "Level 1 vector - vector GRASS implementation with OpenMP thread support", "gmathlib.html#blas_level_1", null ],
          [ "Level 2 matrix - vector GRASS implementation with OpenMP thread support", "gmathlib.html#blas_level_2", null ],
          [ "Blas level 3 matrix - matrix GRASS implementation with OpenMP thread support", "gmathlib.html#blas_level_3", null ]
        ] ],
        [ "Ccmath library function wrapper", "gmathlib.html#gmathccmath", null ],
        [ "Linear equation solver", "gmathlib.html#gmathsolver", null ],
        [ "Optional support of LAPACK/BLAS", "gmathlib.html#gmathlapack", [
          [ "Implementation", "gmathlib.html#Implementation", null ],
          [ "matrix -matrix functions", "gmathlib.html#matrix_matrix_functions", null ]
        ] ]
      ] ],
      [ "Matrix-Vector functions", "gmathlib.html#matrix_Vector_functions", null ],
      [ "Vector-Vector functions", "gmathlib.html#Vector_Vector_functions", null ],
      [ "Notes", "gmathlib.html#Notes", null ],
      [ "Example", "gmathlib.html#Example", null ]
    ] ],
    [ "GRASS Partial differential equations Library (GPDE)", "gpdelib.html", [
      [ "The Creation of a lineare equation systems", "gpdelib.html#PDE", [
        [ "Raster maps", "gpdelib.html#rastermaps", [
          [ "Higher level array functions", "gpdelib.html#highlevel", null ]
        ] ],
        [ "Volume maps", "gpdelib.html#g3dmaps", null ],
        [ "Entries in the linear equation system", "gpdelib.html#les", null ]
      ] ],
      [ "Available solvers", "gpdelib.html#solvers", [
        [ "Direct solvers", "gpdelib.html#direct_solvers", null ],
        [ "Iterative solvers", "gpdelib.html#iterative_solvers", null ]
      ] ],
      [ "Implemented PDE's", "gpdelib.html#available_pdes", null ],
      [ "Handling geometrical data", "gpdelib.html#geom_data", null ],
      [ "Mathematical tools", "gpdelib.html#mathtools", null ],
      [ "Calculating and managing gradient and vector field data", "gpdelib.html#gradient", null ]
    ] ],
    [ "GRASS Data Elements Manage Library", "managelib.html", [
      [ "Introduction", "managelib.html#manageintro", null ]
    ] ],
    [ "GRASS Nviz Library", "nvizlib.html", [
      [ "Introduction to Nviz Library", "nvizlib.html#nvizintro", null ],
      [ "Functions", "nvizlib.html#Functions", [
        [ "Initialization", "nvizlib.html#nvizInit", null ],
        [ "Viewport settings", "nvizlib.html#NvizViewport", null ],
        [ "Draw map objects", "nvizlib.html#nvizDraw", null ],
        [ "Map objects manipulation", "nvizlib.html#nvizMapObj", null ],
        [ "Lights settings", "nvizlib.html#nvizLights", null ],
        [ "Clip planes manipulation", "nvizlib.html#nvizCplanes", null ],
        [ "Off-screen rendering", "nvizlib.html#nvizRender", null ]
      ] ],
      [ "Authors", "nvizlib.html#authors", null ]
    ] ],
    [ "GRASS GIS OGSF Library", "ogsflib.html", [
      [ "OGSF Library for OpenGL programming", "ogsflib.html#ogsfintro", [
        [ "Naming Conventions", "ogsflib.html#ogsfNames", null ]
      ] ],
      [ "Major todos", "ogsflib.html#ogsfTodo", null ],
      [ "Public function prototypes", "ogsflib.html#ogsfPublic", [
        [ "Initialization and positioning surfaces (GS)", "ogsflib.html#ogsfGs", null ],
        [ "Loading and manipulation of vector maps (GV)", "ogsflib.html#ogsfGv", null ],
        [ "Loading and manipulation of vector point maps (GP)", "ogsflib.html#ogsfGp", null ],
        [ "ogsfGk Keyframe animation", "ogsflib.html#ogsf", null ],
        [ "Loading and manipulation of volume maps (GVL)", "ogsflib.html#ogsfGvl", null ],
        [ "Loading and manipulation of isosurfaces (GVL)", "ogsflib.html#ogsfGvlIso", null ],
        [ "Loading and manipulation of slices (GVL)", "ogsflib.html#ogsfGvlSlice", null ]
      ] ]
    ] ],
    [ "GRASS GIS PNG Display Driver Library", "pngdriverlib.html", null ],
    [ "GRASS and the PROJ4 projection library", "projlib.html", [
      [ "GRASS GIS and the PROJ4 projection library", "projlib.html#projintro", [
        [ "Datum transformation", "projlib.html#datum_transformation", null ],
        [ "Makefile Example", "projlib.html#Makefile_Example", null ]
      ] ]
    ] ],
    [ "GRASS Postscript Display Driver Library", "psdriverlib.html", null ],
    [ "GRASS Row Input/Output Library", "rowiolib.html", null ],
    [ "GRASS Library for interpolation with regularized splines with tension", "rstlib.html", [
      [ "Including and linking", "rstlib.html#autotoc_md18", null ],
      [ "Main functions and structures", "rstlib.html#autotoc_md19", null ],
      [ "Example usages", "rstlib.html#autotoc_md20", null ],
      [ "References", "rstlib.html#autotoc_md21", null ]
    ] ],
    [ "GRASS Segment Library", "segmentlib.html", [
      [ "Introduction", "segmentlib.html#segmentintro", null ],
      [ "Segment Routines", "segmentlib.html#Segment_Routines", null ],
      [ "How to Use the Library Routines", "segmentlib.html#How_to_Use_the_Library_Routines", null ],
      [ "Segment Library Performance", "segmentlib.html#Segment_Library_Performance", null ],
      [ "Loading the Segment Library", "segmentlib.html#Loading_the_Segment_Library", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Bug List", "bug.html", null ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Variables", "functions_vars.html", "functions_vars" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"ATLAS__wrapper__blas__level__1_8c.html",
"address_8c.html#a9f276c69095133a97c37e6e8add24cfe",
"c__mode_8c.html#ab7641dddf50e937a5425d68c5f0999fe",
"ccmath_8h.html#aa3ef64eb225e7e0ed1301e7148e75ee4",
"cplanes__obj_8c.html#aed60e432c45d02d590f0c743f1394ce4",
"driver_8h.html#a922ddb52d7d750ca1b9c2a578f009d25",
"geodist_8c.html#ad033bd4b030972d2d01dd11364a551e3",
"globals_e.html",
"gs2_8c.html#ad298505c862ba197dbfa5d83ffdad69a",
"gsd__prim_8c.html#a137dca7f48beacb1ab88a1cd63ae4d33",
"gvl2_8c.html#a6b157476ad9e0ea401cc31cad5f93f28",
"htmlmap_8h.html#abaa5406d93deeba6e5d17adb3c4e06a3",
"lidar_8h.html#ae1a5e9fedc86229fd80acea485a6efb9",
"lz4_8h.html#a5c6dfdf3179635d8fa92c7cc8d3532a1",
"n__arrays__calc_8c.html#a8c9f626096edd5b709f7c6d057a6f64b",
"otrsm_8c.html#a31e0b214b6121ab0def0d22b7422b031",
"pngdriver_2write__ppm_8c_source.html",
"rbtree_8c.html#acf95e07b90701449be30feb7b3793375",
"shapefil_8h.html#a556463e3133ebb0f2f9ba3ec048a5336",
"strings_8c.html#a90c55f9ebbc242d44542623e078be4dd",
"structN__heatflow__data2d.html#a09869f08a6d8f9316309bf1623c185fa",
"structinterp__params.html#a5b78596904f4985740f7c1782d04f0c0",
"trans_8c.html#a89e13183534232fdac699b47c42cbac9",
"xceil_8c.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';